<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_80e7ee43fdf838" . "101a2303a7b4a50" . "efc" => base64_decode("dG9fZm9s" . "ZGVyX2lk"), "_32155ccb342" . "f19904309304" . "1c1b3bb57" => base64_decode("ZnJvbV" . "9mb2xk" . "ZXJfaW" . "Q="));
use Claromentis\Core\Event\GenericEvent;


class MoveDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_32155ccb342f199043093041c1b3bb" . "57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_80e7ee4" . "3fdf8381" . "01a2303a" . "7b4a50ef" . "c"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}